{
  lib,
  rustPlatform,
  mold-wrapped,
  self,
}:
rustPlatform.buildRustPackage {
  pname = "uklient";
  version = self.shortRev or self.dirtyShortRev or "dirty";

  src = self;
  cargoLock.lockFile = ./Cargo.lock;

  nativeBuildInputs = [mold-wrapped];

  RUSTFLAGS = "-C link-arg=-fuse-ld=mold";

  doCheck = false;

  meta = with lib; {
    mainProgram = "uklient";
    description = "now better than ever before";
    homepage = "https://git.uku3lig.net/uku/uklient";
    license = licenses.mit;
    platforms = platforms.unix;
  };
}
